org.wildfly.swarm.config.undertow.server.host

## Class Location<T extends Location<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.server.host.Location<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Location<T extends Location<T>>
      extends HashMap

  Holds configuration of location resource
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Location.LocationResources` Child mutators for Location

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `filterRef(FilterRef value)` Add the FilterRef object to the list of subresources
    `T` | `filterRef(FilterRefSupplier supplier)` Install a supplied FilterRef object to the list of subresources
    `T` | `filterRef(String childKey)` Create and configure a FilterRef object to the list of subresources
    `T` | `filterRef(String childKey, FilterRefConsumer consumer)` Create and configure a FilterRef object to the list of subresources
    `T` | `filterRefs(List<FilterRef> value)` Add all FilterRef objects to this subresource
    `String` | `getKey()`
    `String` | `handler()` Default handler for this location
    `T` | `handler(String value)` Default handler for this location
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Location.LocationResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Location

          public Location(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Location.LocationResources subresources()

    - #### filterRefs

          public T filterRefs(List<FilterRef> value)

      Add all FilterRef objects to this subresource
      Parameters:
        `value` - List of FilterRef objects.
      Returns:
        this

    - #### filterRef

          public T filterRef(FilterRef value)

      Add the FilterRef object to the list of subresources
      Parameters:
        `value` - The FilterRef to add
      Returns:
        this

    - #### filterRef

          public T filterRef(String childKey,
                             FilterRefConsumer consumer)

      Create and configure a FilterRef object to the list of subresources
      Parameters:
        `key` - The key for the FilterRef resource
        `config` - The FilterRefConsumer to use
      Returns:
        this

    - #### filterRef

          public T filterRef(String childKey)

      Create and configure a FilterRef object to the list of subresources
      Parameters:
        `key` - The key for the FilterRef resource
      Returns:
        this

    - #### filterRef

          public T filterRef(FilterRefSupplier supplier)

      Install a supplied FilterRef object to the list of subresources

    - #### handler

          public String handler()

      Default handler for this location

    - #### handler

          public T handler(String value)

      Default handler for this location

Copyright © 2018 JBoss by Red Hat. All rights reserved.